rem ### -*- batch file -*- ######################################################
rem #                                                                          ##
rem #  JBoss Bootstrap Script Configuration                                    ##
rem #                                                                          ##
rem #############################################################################

rem # $Id: run.conf.bat 88820 2009-05-13 15:25:44Z dimitris@jboss.org $

rem #
rem # This batch file is executed by run.bat to initialize the environment
rem # variables that run.bat uses. It is recommended to use this file to
rem # configure these variables, rather than modifying run.bat itself.
rem #

rem Uncomment the following line to disable manipulation of JAVA_OPTS (JVM parameters)
rem set PRESERVE_JAVA_OPTS=true

set "PLATFORM_HOME=%~dp0..\.."

if not "x%JAVA_OPTS%" == "x" (
  echo "JAVA_OPTS already set in environment; overriding default settings with values: %JAVA_OPTS%"
  goto JAVA_OPTS_SET
)

rem #
rem # Specify the JBoss Profiler configuration file to load.
rem #
rem # Default is to not load a JBoss Profiler configuration file.
rem #
rem set "PROFILER=%JBOSS_HOME%\bin\jboss-profiler.properties"

rem #
rem # Specify the location of the Java home directory (it is recommended that
rem # this always be set). If set, then "%JAVA_HOME%\bin\java" will be used as
rem # the Java VM executable; otherwise, "%JAVA%" will be used (see below).
rem #
rem set "JAVA_HOME=C:\opt\jdk1.6.0_23"

rem #
rem # Specify the exact Java VM executable to use - only used if JAVA_HOME is
rem # not set. Default is "java".
rem #
rem set "JAVA=C:\opt\jdk1.6.0_23\bin\java"

rem #
rem # Specify options to pass to the Java VM. Note, there are some additional
rem # options that are always passed by run.bat.
rem #

rem # JVM memory allocation pool parameters - modify as appropriate.

set INITIAL_HEAPSIZE=3278m
set MAX_HEAPSIZE=3278m


set INITIAL_PERMSIZE=512m
set MAX_PERMSIZE=512m

set JAVA_OPTS=%JAVA_OPTS% -Xmx%MAX_HEAPSIZE%
set JAVA_OPTS=%JAVA_OPTS% -Xms%INITIAL_HEAPSIZE%
set JAVA_OPTS=%JAVA_OPTS% -XX:MetaspaceSize=%INITIAL_PERMSIZE%
set JAVA_OPTS=%JAVA_OPTS% -XX:MaxMetaspaceSize=%MAX_PERMSIZE%


rem # Make Byteman classes visible in all module loaders
rem # This is necessary to inject Byteman rules into AS7 deployments

set "JAVA_OPTS=%JAVA_OPTS% -Djboss.modules.system.pkgs=org.jboss.logmanager"

set "JAVA_OPTS=%JAVA_OPTS% -Djava.awt.headless=true"

rem # Sample JPDA settings for remote socket debugging
rem set "JAVA_OPTS=%JAVA_OPTS% -agentlib:jdwp=transport=dt_socket,address=8787,server=y,suspend=n"

rem # Sample JPDA settings for shared memory debugging
rem set "JAVA_OPTS=%JAVA_OPTS% -agentlib:jdwp=transport=dt_shmem,address=jboss,server=y,suspend=n"

rem # Use JBoss Modules lockless mode
rem set "JAVA_OPTS=%JAVA_OPTS% -Djboss.modules.lockless=true"

set "OCIE_HOME="%PLATFORM_HOME%""
set "DFM_HOME=%NETAPP_HOME%\ocum"

set UM_THIRD_PARTY_KEY_NAME="HKEY_LOCAL_MACHINE\SOFTWARE\NetApp\ThirdParty"

FOR /F "skip=2 tokens=2,*" %%A IN ('reg.exe query %UM_THIRD_PARTY_KEY_NAME% /v "mysqlDataDir" /reg:64') DO set "MYSQL_DATA_DIR=%%B"

FOR /F "skip=2 tokens=2,*" %%A IN ('reg.exe query %UM_THIRD_PARTY_KEY_NAME% /v "7z" /reg:64') DO set "SEVEN_ZIP_HOME_DIR=%%B"

FOR /F "skip=2 tokens=2,*" %%A IN ('reg.exe query %UM_THIRD_PARTY_KEY_NAME% /v "mysqlDir" /reg:64') DO set "MYSQL_HOME_DIR=%%B"

FOR /F "skip=2 tokens=2,*" %%A IN ('reg.exe query %UM_THIRD_PARTY_KEY_NAME% /v "appDataDir" /reg:64') DO set "APP_DATA_DIR=%%B"

set "OCUM_APP_DATA_DIR=%APP_DATA_DIR%\ocum"
set "DFM_TEMP_DIR=%OCUM_APP_DATA_DIR%\temp"
set "OCIE_LOG_PATH="%APP_DATA_DIR%\ocie\log""
set "GC_JBOSS_LOG_FILE="%APP_DATA_DIR%\ocie\log\gc_jboss.log""
set "DFM_LOG_PATH=%OCUM_APP_DATA_DIR%\log"

if "x%OCIE_HTTP_PORT%"=="x" set OCIE_HTTP_PORT=80
if "x%OCIE_HTTPS_PORT%"=="x" set OCIE_HTTPS_PORT=443
if "x%OCIE_MYSQL_PORT%"=="x" set OCIE_MYSQL_PORT=3306
if "x%OCIE_SERVER_NAME%"=="x" set OCIE_SERVER_NAME=localhost
set "JAVA_OPTS=%JAVA_OPTS% -Djboss.https.port=%OCIE_HTTPS_PORT%"
set "JAVA_OPTS=%JAVA_OPTS% -Djboss.http.port=%OCIE_HTTP_PORT%"
set "JAVA_OPTS=%JAVA_OPTS% -Dmysql.port=%OCIE_MYSQL_PORT%"
set "JAVA_OPTS=%JAVA_OPTS% -Dhttps.protocols=TLSv1,TLSv1.1,TLSv1.2"
set "JAVA_OPTS=%JAVA_OPTS% -XX:+HeapDumpOnOutOfMemoryError"
set "JAVA_OPTS=%JAVA_OPTS% -Dcodebase="http://%OCIE_SERVER_NAME%:%OCIE_HTTP_PORT%""

set JAVA_OPTS=%JAVA_OPTS% -XX:HeapDumpPath="%DFM_TEMP_DIR%"
set JAVA_OPTS=%JAVA_OPTS% -XX:ErrorFile="%DFM_TEMP_DIR%\java_error_%p.log"
set "JAVA_OPTS=%JAVA_OPTS% -Djboss.boot.server.log.dir=%OCIE_LOG_PATH%"

set JAVA_OPTS=%JAVA_OPTS% -Donaro.home=%OCIE_HOME%
set "JAVA_OPTS=%JAVA_OPTS% -Dserver.logs=%OCIE_LOG_PATH%"

set JAVA_OPTS=%JAVA_OPTS% -Dcom.sun.management.jmxremote.port=33333
set JAVA_OPTS=%JAVA_OPTS% -Dcom.sun.management.jmxremote.ssl=false
set JAVA_OPTS=%JAVA_OPTS% -Dcom.sun.management.jmxremote.authenticate=false
set JAVA_OPTS=%JAVA_OPTS% -Dcom.sun.management.jmxremote.host=%OCIE_SERVER_NAME%
set JAVA_OPTS=%JAVA_OPTS% -Djboss.as.management.blocking.timeout=3600
set JAVA_OPTS=%JAVA_OPTS% -Djava.rmi.server.hostname=%OCIE_SERVER_NAME%

set JAVA_OPTS=%JAVA_OPTS% -Djboss.shutdown.forceHalt=false
set JAVA_OPTS=%JAVA_OPTS% -Djava.rmi.server.useCodebaseOnly=true
set JAVA_OPTS=%JAVA_OPTS% -DlegacyParsing=true
set JAVA_OPTS=%JAVA_OPTS% -Djboss.mysql.host=localhost


set JAVA_OPTS=%JAVA_OPTS% -Djboss.platform.mbeanserver

set JAVA_OPTS=%JAVA_OPTS% -Djava.util.logging.manager=org.jboss.logmanager.LogManager
set JAVA_OPTS=%JAVA_OPTS% -Dorg.jboss.logging.Logger.pluginClass=org.jboss.logging.logmanager.LoggerPluginImpl

set JAVA_OPTS=%JAVA_OPTS% -Xbootclasspath/p:"%PLATFORM_HOME%\jboss\modules\system\layers\base\org\jboss\logmanager\main\jboss-logmanager-2.0.9.Final.jar"
set JAVA_OPTS=%JAVA_OPTS% -Djava.class.path="%PLATFORM_HOME%\jboss\bin\client\jboss-client.jar"

set JAVA_OPTS=%JAVA_OPTS% -Xbootclasspath/a:"%PLATFORM_HOME%\jboss\modules\system\layers\base\org\codehaus\woodstox\main\woodstox-core-5.0.3.jar"
set JAVA_OPTS=%JAVA_OPTS% -Xbootclasspath/a:"%PLATFORM_HOME%\jboss\modules\system\layers\base\org\codehaus\woodstox\main\stax2-api-3.1.4.jar"
set JAVA_OPTS=%JAVA_OPTS% -Djavax.xml.stream.XMLInputFactory=com.ctc.wstx.stax.WstxInputFactory
set JAVA_OPTS=%JAVA_OPTS% -Djavax.xml.stream.XMLOutputFactory=com.ctc.wstx.stax.WstxOutputFactory
set JAVA_OPTS=%JAVA_OPTS% -Djavax.xml.stream.XMLEventFactory=com.ctc.wstx.stax.WstxEventFactory

set JAVA_OPTS=%JAVA_OPTS% -Ddfm.install.dir="%DFM_HOME%"
set JAVA_OPTS=%JAVA_OPTS% -Ddfm.log.dir="%DFM_LOG_PATH%"
set JAVA_OPTS=%JAVA_OPTS% -Dsevenzip.binary.path="%SEVEN_ZIP_HOME_DIR%"
set JAVA_OPTS=%JAVA_OPTS% -Dmysql.install.dir="%MYSQL_HOME_DIR%"
set JAVA_OPTS=%JAVA_OPTS% -Dapp.data.dir="%APP_DATA_DIR%"
set JAVA_OPTS=%JAVA_OPTS% -Dmysql.data.dir="%MYSQL_DATA_DIR%\data"

if not "x%OCIE_PROFILE_SERVER%"=="x" set OCIE_SERVER_PROFILER_OPT="-Dprofiler.class=com.netapp.sanscreen.server.profiler.ServerProfilerService"
set "JAVA_OPTS=%JAVA_OPTS% %OCIE_SERVER_PROFILER_OPT%"

rem # enable GC logging
set "OCIE_GC_LOG_OPT=-verbose:gc -XX:+PrintGCDateStamps -XX:+PrintGCDetails -XX:+UseGCLogFileRotation -XX:NumberOfGCLogFiles=10 -XX:GCLogFileSize=3M"
set OCIE_GC_OPTION=1
if "%OCIE_GC_OPTION%"=="0" (
	set OCIE_GC_OPT=""
) else if "%OCIE_GC_OPTION%"=="1" (
	set "OCIE_GC_OPT=-XX:NewRatio=2 -XX:+UseConcMarkSweepGC -XX:+CMSClassUnloadingEnabled -XX:+ExplicitGCInvokesConcurrentAndUnloadsClasses -XX:CMSInitiatingOccupancyFraction=70 -XX:+UseCMSInitiatingOccupancyOnly"
) else (
	set OCIE_GC_OPT=""
)
set "JAVA_OPTS=%JAVA_OPTS% %OCIE_GC_OPT%"


set "OCIE_GC_LOG_OPT=%OCIE_GC_LOG_OPT% -Xloggc:"%GC_JBOSS_LOG_FILE%""
set "JAVA_OPTS=%JAVA_OPTS% %OCIE_GC_LOG_OPT%"
set "JAVA_OPTS=%JAVA_OPTS% -Djboss.server.log.dir="%OCIE_LOG_PATH%""

set JAVA_OPTS=%JAVA_OPTS% -Dlogback.configurationFile="%PLATFORM_HOME%\jboss\server\onaro\conf\logback-server.xml"

@echo off
ipconfig | findstr  /r /c:"^ *IPv6 Address" > nul
if not errorlevel == 1 (
	set "JAVA_OPTS=%JAVA_OPTS% -Djava.net.preferIPv6Stack=true"
) else (
	rem # Prefer IPv4
	set "JAVA_OPTS=%JAVA_OPTS% -Djava.net.preferIPv4Stack=true"
)

rem # Uncomment this to run with a security manager enabled
rem rem rem set "SECMGR=true"

:JAVA_OPTS_SET
exit /b




